Loading

×Sorry to interrupt
This page has an error. You might just need to refresh it.
[NoErrorObjectAvailable] Uncaught ReferenceError: addCTracking is not defined
Failing descriptor: {markup://c:KM_ArticleThemeLayout}

Refresh

Cookie Preference Center

General Information on cookies

When you visit our website, we use cookies to ensure that we give you the best experience. This information does not usually directly identify you, but it can give you a more personalized web experience. Because we respect your right to privacy, you can choose not to allow some types of cookies by clicking on the different category headings to find out more and change your settings. However, blocking some types of cookies may impact your experience on the site and the services we are able to offer. Further information can be found in our

Cookie Policy.

Strictly Necessary

Strictly Necessary

Always Active

Strictly Necessary

Strictly necessary cookies are always enabled since they are essential for our website to function. They enable core functionality such as security, network management, and website accessibility. You can set your browser to block or alert you about these cookies, but this may affect how the website functions. For more information please visit www.aboutcookies.org or www.allaboutcookies.org.

Cookie Details‎

Performance

Performance

Performance

Performance cookies are used to analyze the user experience to improve our website by collecting and reporting information on how you use it. They allow us to know which pages are the most and least popular, see how visitors move around the site, optimize our website and make it easier to navigate.

Cookie Details‎

Please confirm your settings by refreshing the page.

Functional

Functional

Functional

Functional cookies help us keep track of your past browsing choices so we can improve usability and customize your experience. These cookies enable the website to remember your preferred settings, language preferences, location and other customizable elements such as font or text size. If you do not allow these cookies, then some or all of these services may not function properly.

Cookie Details‎

Advertising

Advertising

Advertising

Advertising cookies are used to send you relevant advertising and promotional information. They may be set through our site by third parties to build a profile of your interests and show you relevant advertisements on other sites. These cookies do not directly store personal information, but their function is based on uniquely identifying your browser and internet device.

Cookie Details‎

Advertising Cookies

Consent Leg.Interest

Select All Vendors

Select All Vendors

Select All Hosts

Select All

Clear Filters

Information storage and access

Apply

Confirm My Choices Reject All Allow All

My Subscriptions

Loading

Knowledge Base

BGP update session reset due to AS4_aggregator attribute contains ASN 0 (66876)

Last Updated: 1/25/2019Categories: TroubleshootingTotal Views: 3694Language:
English

Subscribe to get an email
newsletter with new updates

Please provide article feedback:

Symptoms

BGP update session reset due to AS4_aggregator attribute contains ASN 0.

Purpose

This document explains the behaviour on NSX 6.3.x  when NSX receives a BGP update packet containing AS4_aggregator with ASN0

Cause

BGP speaker sends an update packet to NSX containing AS4_aggregator with ASN 0.

On packet capture for update send by BGP Neighbour should see a packet containing the following :
Path Attribute - AGGREGATOR : AS : 0 origin : 0.0.0.0

NSX 6.3.X  includes the feature for ASN-4 , and fully supports RFC 4271 " A Border Gateway Protocol 4 (BGP-4)". RFC 6793,  RFC 7606 and RFC 7607 are not supported.

Based on RFC 4721 and since we NSX doesn't supports RFC  NSX  version running 6.3.X will reset BGP sessions when AS4_aggregator attribute contains ASN 0 and renegotiate them.

You may found entries on NSX Edge logs like the example below where X.X.X.X is the IP for the BGP neighbour and YYYY is the name of the Switch :

2018-12-14T12:21:25+00:00 YYYY routing[988]:  [user.emerg] EXCEPTION 0x4103-95 (0000): UPDATE message contains AS4_AGGREGATOR attribute with AS number 0.
2018-12-14T12:21:25+00:00 YYYY routing[988]:  [user.err] PROBLEM 0x4102-46 (0000): NM has received an UPDATE message that failed to parse.
2018-12-14T12:21:25+00:00 YYYY routing[988]:  [user.debug] DEV 0x4102-54 (0000): BGP Connection FSM state changed. Remote address: X.X.X.X ld state: Established New state: Idle)
2018-12-14T12:21:25+00:00 YYYY routing[988]:  [user.emerg] EXCEPTION 0x4102-71 (0000): UPDATE Message Error (Optional Attribute Error): BGP NOTIFICATION sent to neighbor X.X.X.X (A
S: 65331)
2018-12-14T12:21:25+00:00 YYYY routing[988]:  [user.info] AUDIT 0x4102-49 (0000): BGP: A connection's FSM state has deteriorated. Remote address: X.X.X.X (Old State: Established New State: Idle)

Packet captures for BGP updates received on NSX Edge contains on Path Attribute field Aggregator AS : 0 as per image below :

Impact / Risks

Route table for BGP IP protocol will be flushed out, causing a brief disruption on the service. BGP session need to be renegotiated and reestablished.

Resolution

NSX 6.4.0 and above supports the below mentioned RFCs :

RFC 4271 A Border Gateway Protocol 4 (BGP-4) : Fully supported.
RFC 6793 BGP Support for 4-Octet AS Number Space : Partially supports by supporting the attribute-discard mechanism, but do not support the processes to 'fix-up' some types of malformed attributes.
RFC 7607( Codification of AS 0 Processing) & RFC 7606(Revised Error Handling for BGP UPDATE Messages) : When the AS number is 0 in the AS4_PATH, AGGREGATOR and AS4_AGGREGATOR attributes we support the attribute-discard mechanism . We don't support the treat-as-withdraw mechanism for the AS_PATH attribute.

Based on this details above NSX 6.4.0 and above will not discard the packet or the update. Only applies attribute discard , that means the attribute which is malformed will not be considered while processing the update packet.

Detectable by VMware SkylineTM

Actions

Copy

link to clipboard
copied!

Print

Language:
English

Attachments

Additional Resources

KB
•
滚动维护任务卡在静默状态 (66843)

KB
•
ユーザーが Horizon Cloud Hosted 環境でドメイン バインド アカウントの詳細を更新できない (66888)

KB
•
Horizon Client または AppBlast ポータルを使用してアプリケーションを起動できず、次のエラーが表示される：「このデスクトップの表示プロトコルは現在使用できません。(The display protocol for this desktop is currently not available.) ERROR: AGENT_ERR_PROTOCOL_FAILURE」というエラーが表示されます。 (66784)

Results 1-3 of 3

Ask The Community

Get answers quickly from VMware experts in the community

Post Subject

CONTINUE IN COMMUNITIES

Related Products:

VMware NSX for vSphere

Related Versions:

VMware NSX for vSphere 6.3.x

Take Our Survey

Support Assistant